How to securely install Drupal Thunder using composer

How to securely install Drupal Thunder using composer

Installing Drupal 8´s Thunder is somehow very complicated, but very easy too if you know the right steps:

1. From the apache root download and build the project:
​composer create-project burdamagazinorg/thunder-project thunder --stability dev --no-interaction --no-install --prefer-dist --profile

2. Go into your new folder and install:and update with dependencies
composer install && composer update --with-dependencies

3. Using your browser go to your URL and install as you normally would do
Done!

If the Status Report complains about the Slick Library not being installed rename the folder within the libraries folder:

cd /var/www/html/thunder/docroot/libraries && mv slick-carousel/ slick

How to install Social Auth Google, Social Auth Twitter and Social Auth Facebook using composer

I had a hard time installing the OpenSocial Drupal8 Distribution.

So for those of you who have the same problem, here is how to get rid of the dependencies warnings with missing AUTH libraries:

composer require "drupal/social_api:1.x-dev" "drupal/social_auth:1.x-dev" "drupal/social_auth_google:1.x-dev"
composer require "drupal/social_api:1.x-dev" "drupal/social_auth:1.x-dev" "drupal/social_post_twitter:1.x-dev"
composer require "drupal/simple_fb_connect:3.x-dev"

Drupal8 - How to delete active configuration of a module

Drupal8 - How to delete active configuration of a module

It sometimes happens that you have to delete active configuration of a module due to some problems.
It is not enough to simply uninstall the module. There can still be active configuration that has relations to other objects within drupal.
we had issues with the File_Entity Module and solved it this way:

1. drush pm-uninstall file_entity
2. drush cr
3. drush en file_entity -y resulting in:

Drupal\Core\Config\PreExistingConfigException: Configuration objects (core.entity_view_mode.file.thumbnail) provided by file_entity already exist in active configuration in /var/www/html/laska/core/lib/Drupal/Core/Config/PreExistingConfigException.php:65

The error message that comes up (see above) shows you what kind of active config you have to disable and now you can use this to solve the problem using the following workaround:

  1. drush php
  2. Drupal::configFactory()->getEditable('core.entity_view_mode.file.thumbnail')->delete();
  3. exit
  4. drush en file_entity
  5. drush cr
Using drush7 and drush8 on debian

Using drush7 and drush8 on debian

As Drupal8 was released i had to find a way to use drush8 with Drupal8 and Drush7 for Drupal7 sites. Having drush8 installed globally i wanted to have a simple drush7 to be used when i want to configure or setup a drupal7 site. So this simple solution works like a charm:

1. make a drush7 directory within your home directory and jump into it
sudo mkdir drush7 && cd drush7
2. Install drush 7 via composer:
 sudo composer require drush/drush:7.*
3. make an alias for drush7
sudo vi ~/.bashrc
alias drush7="~/drush7/vendor/bin/drush"

4. Test if it works
drush7 status
5. Yes, the output looks like this
Drush script:  /home/username/drush7/vendor/drush/drush/drush.php
Drush version:  7.1.0

You could of course do this with all the drush versions available, so using different versions for each usecase can be accomplished very easily.

 

 

drush dl mit Composer ersetzen

Da Composer etwaige Abhängigkeiten eines Drupal Moduls von einem anderen mitberücksichtigt macht es Sinn anstatt
drush dl
composer require

zu nutzen. Weitere Optionen für die Nutzung von composer mit Drupal wären z.B.:

require [--dev] [--prefer-source] [--prefer-dist] [--no-progress] [--no-update] [--update-no-dev] [--update-with-dependencies] [--ignore-platform-reqs] [--sort-packages] [packages1] ... [packagesN]

 

Stichworte: 
Drupal & Drush - MYSQL_ATTR_USE_BUFFERED_QUERY in database.inc

Drupal & Drush - MYSQL_ATTR_USE_BUFFERED_QUERY in database.inc

Nach dem Umzug einer Drupal7 Seite von einem Debian 7 auf einen Debian 8  Server bekam ich beim ausführen von

drush cc all -y

die folgende Fehlermeldung:

Error: Undefined class constant 'MYSQL_ATTR_USE_BUFFERED_QUERY' in /var/www/yoursite/includes/database/mysql/database.inc, line XX

Dies ist ein Hinweis darauf das das Apache Modul pdo_mysql nicht installiert ist.

sudo apt-get install php5-gd php5-mysql

schafft hier Abhilfe.

Drupal Views lässt sich nicht über UI löschen

Drupal Views lässt sich nicht über UI löschen

Heute wollte ich eine Ansicht löschen, die mir immer wieder seltsame Fehlermeldungen ausspuckte. Dies gelang mir auf normalem Wege über admin/structure/views/view/viewname/delete überhaupt nicht und produzierte eine immer gleiche Fehlermeldung.

Also musste sie über die bash aus der Datenbank gelöscht werden:

su
mysql -u root -p datenbankname
SELECT vid FROM views_view WHERE name = 'maschinen_name_der_view';
+-----+
| vid |
+-----+
|   5 |
+-----+
DELETE FROM views_view WHERE vid = 5;
DELETE FROM views_display WHERE vid = 5;
exit
drush cc views

Fall gelöst!

Drupal Fullcalendar - 24-Stunden Format einstellen

Drupal Fullcalendar - 24-Stunden Format einstellen

Das Modul Fullcalendar bietet endlose Möglichkeiten verschiedenste Kalender zu verwirklichen. Um das Zeitformat auf das deutsche 24-Stunden Format einzustellen musste man jedoch in der Vergangenheit direkt im Code der fullcalendar.js Änderungen vornéhmen. Das ist mittlerweile anders.

Innerhalb der Ansicht unter Format: Fullcalendar | Einstellungen geht man folgendermaßen vor:

1. "Einstellungen" anklicken

2. "Time/date settings" öffnen

3. "Enable advanced time and date format settings" aktivieren

4. Unter "Achsformatierung" und "Zeitformat" ändert man nun das kleine "h" (steht für 12-Stunden-Format) in ein grosses "H"

Nach dem Abspeichern hat man nun die gewünschte 24-Stunden Darstellung.

 

Intregrating ActiveCollab into Drupal7

Intregrating ActiveCollab into Drupal7

As ActiveCollab is a great tool for planning and getting projects done and, of course, Drupal is THE CMS i work with, i searched for a solution to maybe integrate an exisiting Active Collab - system into a new designed Knowledgebase that was set up with drupal7.
Luckily i found the Zapier service. You can create processes there with different types of webservices being integrated into one another.
BUT as drupal is not yet supported they started a voting campaign for drupal to be integrated in their service.

So if you like these two applications please go there and VOTE for drupal: https://zapier.com/zapbook/activecollab/drupal/

Recognizing that the ActiveCollab module at drupal.org is in a 6-dev state and Drupal8 is about to come, this seems to be the best way to go.

Seiten